
QGIS Application - Bug report #7772

crash while setting attributes of a new feature

2013-05-06 05:45 AM - Denis Rouzaud

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16668

Description

The following code crashes at setting the arrtirbute

fields = layer.dataProvider().fields()

f = QgsFeature()

f.setFields(fields)

for field in fields:

    f[field.name()] = QVariant("1")

Using QVariant or not.

Associated revisions

Revision 524e142e - 2013-05-07 07:48 AM - Matthias Kuhn

[Fix #7772] Check attribute index before setting attribute to avoid crash

History

#1 - 2013-05-06 10:08 PM - Denis Rouzaud

using initAttributes(fieldCount) after setFields works and prevent the crash.

#2 - 2013-05-06 10:48 PM - Matthias Kuhn

- Status changed from Open to Closed

Fixed in changeset commit:"524e142e1178cfd50fbeb3b178fe26c2818b3fe3".
